My program will not start and I encounter the message 'Application requires CPU support for SSE2 but this CPU does not support it'

You are seeing this message because the processor you are using does not have new enough technology to run the program (does not meet the minimum requirements for the program). SSE2 is a processor instruction set which was introduced in Intel processors about 11 years ago and in AMD processors about 6 years ago, so if you're using a processor that is older than that it will not run.

Unfortunately the only way to resolve this is by upgrading the hardware that you intend to run the program on or using a newer computer.

If you have already purchased the program and are encountering this message please contact our Support Team to submit a ticket regarding this.

This support article applies to: Web Designer MX, Web Designer MX Premium, Photo & Graphic Designer 2013, Designer Pro X

(109 vote(s))
Not helpful